Skip to main content
GET
/
embedded-banking
/
v1
/
bank-accounts
/
{id}
Get a bank account by ID.
curl --request GET \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountNumber": "<string>",
  "balance": {
    "currencyCode": "<string>",
    "value": 123
  },
  "createdDateTime": "2023-11-07T05:31:56Z",
  "routingNumber": "<string>",
  "status": "ACTIVE",
  "bankAccountReference": "<string>",
  "nickname": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Path Parameters

id
string<uuid>
required

The bank account ID.

Response

Returns bank account with balance.

Response model for a bank account with balance information.

id
string<uuid>
required

Unique identifier for the bank account.

accountNumber
string
required

Masked account number.

balance
object
required

Current balance of the bank account in minor units (e.g. cents for USD).

createdDateTime
string<date-time>
required

The UTC timestamp when the bank account was created.

routingNumber
string
required

Bank routing number.

status
enum<string>
required

The status of the bank account.

Available options:
ACTIVE,
CLOSED
bankAccountReference
null | string

Reference identifier associated with the bank account.

nickname
null | string

Nickname for the bank account.